org.springframework.test.context.web

## Class GenericXmlWebContextLoader

- java.lang.Object
- - org.springframework.test.context.support.AbstractContextLoader
  - - org.springframework.test.context.web.AbstractGenericWebContextLoader
    - - org.springframework.test.context.web.GenericXmlWebContextLoader

All Implemented Interfaces:
  ContextLoader, SmartContextLoader

    public class GenericXmlWebContextLoader
    extends AbstractGenericWebContextLoader

Concrete implementation of `AbstractGenericWebContextLoader` that loads bean definitions from XML resources.

Since:
  3.2
Author:
  Sam Brannen

### Constructor Summary

Constructors
Constructor and Description
`GenericXmlWebContextLoader()`

### Method Summary

Methods
`protected String` `getResourceSuffix()` Returns "`-context.xml`".
`protected void` `loadBeanDefinitions(GenericWebApplicationContext context, WebMergedContextConfiguration webMergedConfig)` Loads bean definitions using an `XmlBeanDefinitionReader`.

### Methods inherited from class org.springframework.test.context.web.AbstractGenericWebContextLoader

`configureWebResources, customizeBeanFactory, customizeContext, loadContext, loadContext`

### Methods inherited from class org.springframework.test.context.support.AbstractContextLoader

`generateDefaultLocations, isGenerateDefaultLocations, modifyLocations, prepareContext, processContextConfiguration, processLocations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericXmlWebContextLoader

    public GenericXmlWebContextLoader()

### Method Detail

#### loadBeanDefinitions

    protected void loadBeanDefinitions(GenericWebApplicationContext context,
                           WebMergedContextConfiguration webMergedConfig)

Loads bean definitions using an `XmlBeanDefinitionReader`.

Specified by:
  `loadBeanDefinitions` in class `AbstractGenericWebContextLoader`
Parameters:
  `context` - the context into which the bean definitions should be loaded
  `webMergedConfig` - the merged context configuration to use to load the web application context
See Also:
  `AbstractGenericWebContextLoader.loadBeanDefinitions(org.springframework.web.context.support.GenericWebApplicationContext, org.springframework.test.context.web.WebMergedContextConfiguration)`

#### getResourceSuffix

    protected String getResourceSuffix()

Returns "`-context.xml`".

Specified by:
  `getResourceSuffix` in class `AbstractContextLoader`
Returns:
  the resource suffix; should not be `null` or empty
See Also:
  `AbstractContextLoader.generateDefaultLocations(Class)`